# Shift and Alpha
Keyboard has some functions accessible via `Shift` and `ALPHA` key. Symbols of these secondary functions are displayed above their keys. 

Example: Enter Pi constant: `[Shift][10^x](π)`

Secondary functions are also accessible by long pressing a function key.

# Key function

`[Shift]`: Access shift function

___
`[Alpha]`: Access alpha function
___

`[<-]` Move cursor left

`[->]` Move cursor right
___
`[MODE]` Open dialog select mode (Compute, Complex, Base N, Solve equation, ...)
___
`[Setting]` Open calculator setting
___

`[CALC]` CALC lets you save calculation expressions that contain variables, which you can then recall and execute in the COMP Mode and the CMPLX Mode

`[Shift][CALC](Solve)` Solve equation, `x^2=1 <=> x=1 or x=-1`

`[Alpha][Calc](=)`: Equal symbol (for solve equation) (`=`)
___

`[∫dx]`: Integral function

`[Shift][∫dx](d/dx)`: Derivative function

`[Alpha][∫dx](:)` Statement separator
___
`[up]`: Move cursor up

`[down]`: Move cursor down
___
**[x<sup>-1</sup>]** reciprocal

**[Shift][x<sup>-1</sup>](!)**: factorial `!`
___
**[log<sub>a</sub>x]** logarithm base a of x

**[Shift][log<sub>a</sub>x]** `Sum(start, end, expr)` function

**[Alpha][log<sub>a</sub>x]** `Product(start, end, expr)` function
___
`[a/b]`: Fraction symbol

`[Shift][a/b](mod)` operator (e.g, 3 mod 2 = 1)

`[Alpha][a/b](÷R)`: divide operator (e.g, 5 div 2 = 2)
___
`[√]` Sqrt function, e.g `√(4) = 2`
 
`[Shift][√]` Cube root function
___
**[x<sup>□</sup>]**: Power (`x^y`) operator, `2^3=8`

**[Shift][x<sup>□</sup>]**: Surd function
__
`[log]` logarithm base 10

`[Shift][log]` power of 10, e.g. `10^2=100`
___
`[ln]` Natural logarithm to base _e_

`[Shift][ln]` Natural exponential function (e^x)
___
`[(-)]` negative

`[Shift][(-)]` Polar symbol (use for enter polar coordinates)

`[Alpha][(-)]` A variable (compute mode), A digit (in base mode)

___

`[°'"]` degree/minus/second symbol

`[Shift][°'"](FACT)`: Prime factor. e.g, `12 = 2^2 x 3`

`[Alpha][°'"](B)` B variable (compute mode), B digit (in base mode)
___
`[hyp]` Show list hyperbolic function (Sinh, Cosh, Tanh, Coth, ArcCosh, ArcSinh, ArcTanh, ArcCoth), to select function, press 1 to 8

`[Shift][hyp](Abs)`: Absolute function  `|-2|=2`

`[Alpha][hyp](C)` C variable (compute mode), C digit (in base mode)
___
`[sin]` Sin function, `Sin(90)=1` (degree), `sin(π)=0` (radian)

`[Shift][sin]` ArcSin function

`[Alpha][sin](D)` D variable (compute mode), D digit (in base mode)
___
`[cos]` Cos function

`[Shift][cos]` ArcCos function

`[Alpha][cos](E)` E variable (compute mode), E digit (in base mode)
___
`[tan]` Tan function

`[Shift][tan]` ArcTan function

`[Alpha][tan](F)` F variable (compute mode), F digit (in base mode)
___
`[RCL]` recall variable

`[Shift][RCL](sto)` store current result to variable. E.g. Saves the value of 2 + 3 to variable D, press [2][+][3][Shift][RCL][sin]
___
`[ENG]` Show dialog select decimal format

`[Shift][ENG](i)` i constant (complex mode)

`[Alpha][ENG](Cot)` cotang function
___
`[(]` Open parentheses

`[Shift] [(] (%)` Percent operator, 20%=0.2
 
`[Alpha] [(]` ArcCot function
___
`[)]` Close parentheses

`[Shift] [)] (,)` Comma
 
`[Alpha] [)] (X)` X variable
___
`[S<=>D]` Convert result to decimal, fraction or repeat decimal

`[Shift][S<=>D](a b/c)` Convert result to mixed fraction

`[Alpha][S<=>D](Y)` Y variable
___
`[M+]` Memory plus

`[Shift][M+](M-)` memory minus

`[Alhpa][M+](M)`  M variable
___
`[7]` 7 digit

`[Shift][7]` Open dialog select constant
___
[8] 8 digit
___
`[9]` 9 digit

`[Shift][9]` limit function, `Limit(expr, x->value)`
___
[DEL] delete 
___
[AC] clear display
___
[4] 4 digit
___
[5] 5 digit
___
[6] 6 digit
___
`[×]` multiply operator

`[Shift][×](nPr)`, Permutation the number of subsets that can be taken from a larger set

`[Alpha][×](GCD)`, Greatest common divisor, e.g. to find greatest common divisor of 12 and 4, press `[Alpha][×] [1][2] [Shift][)] [4] [=]`
___
`[÷]` division

`[Shift][÷](nCr)`, Combinations find the number of possible combinations that can be obtained by taking a sample of items from a larger set.

`[Alpha][÷](LCM)`, least common multiply. e.g. to find least common multiply of 12 and 20, press `[Alpha][÷] [1][2] [Shift][)] [2][0] [=] `
___
`[1]` 1 digit

`[Shift][1]` copy current expression in display to clipboard of your phone
___
`[2]` 2 digit

`[Shift][2](CMPLX)` Show more complex function (Arg, Conjg, Real, Im) (in complex mode)
___
`[3]` 3 digit

`[Shift][3]` Show more base operator

`[+]` Plus operator
___

`[Shift][+](Pol)` Pol(r, t) function, Convert from rectangular to polar

Example: Polar coordinate of the point(1,1)

Press `[Shift][Pol] [1] [Shift] [)] [1] [)] [=]`

The screen displays
```
Pol(1,1)
r= 1.414213562
θ= 45
```

`[Alpha][+](Int)` Int function

___

`[-]` minus operator

`[Shift][-](Rec)` Rec(radius, angle) function, Convert from polar to rectangular coordinates

Example: Rectangular coordinates of (r=3, θ=60°)
`[Shift][Rec] [3] [Shift][,] [6][0] [)] [=] `
The screen displays
```
Rec(3,60)
X= 1.5
Y= 2.598076211
```

`[Alpha][-](Intg)` Intg function

___

`[0]` 0 digit

`[Shift][0](Paste)` paste expression from clipboard
___

`[.]` decimal separator

`[Shift][.](Ran#)` Random real function

`[Alpha][.](RanInt)` Random Integer function
___

**[×10<sup>□</sup>]** power of ten

**[Shift][×10<sup>□</sup>]** `Pi` constant

**[Alpha][×10<sup>□</sup>]** `e` constant
___

`[Ans]` Ans variable, last result

`[Alpha][Ans](PreAns)` PreAns variable
___

`[=]` equal

`[Shift][=](H+)` Open history
































   