# Decimal format

Decimal numbers can be displayed in several notations. Use `[ENG]` to choose among them. `FIX`, `SCI`, `ENG` and notation `ENG SI` are displayed to indicate current notation.
___

`Normal` - the number is displayed as floating point value. If it is not possible (due to very big or small value), a scientific mode is used. 
 
 Example: **[1][2][3][4][5] -> 12 345**
 ___

`Fixed` - the number is displayed with fixed number of decimal places. 

 Example: **[1][2][3][4][5] -> 12 345.000 000**
___

`Scientific` - the number is displayed in A × 10<sup>B</sup>  format. 

 Example: **[1][2][3][4][5]  -> 1.2345×10<sup>4</sup>**
___

`Engineering` - the same as scientific notation but the exponent is set to the multiple of three. 12345 102
 
 Example: **[1][2][3][4][5]  -> 12.345×10<sup>3</sup>**
___

`Engineering SI` - the engineering notation having the exponent displayed as SI unit prefix if such prefix exists (e.g., M as mega for 106). A number of decimal places for each notation having the exponent displayed as SI unit prefix if such prefix exists (e.g., M as mega for 10<sup>6</sup>)

 Example: **[1][2][3][4][5]  -> 12.345k**
