##   Matrix Calculations (MATRIX)
Use the MATRIX Mode to perform calculations involving matrices of up to 3 rows by 3 columns. To perform a matrix calculation, you first assign data to special matrix variables (``MatA``, ``MatB``, ``MatC``), and then use the variables in the calculation as shown in the example below.

To assign ``[[2, 1], [1 , 1]]`` to ``MatA`` and ``[[2, -1], [-1, 2]]`` to ``MatB``, and then perform the following calculations ``[[2, 1], [1 , 1]] * [[2, -1], [-1, 2]]`` (``MatA * MatB``)

1. Press ``[MODE][6]`` (MATRIX) to enter the MATRIX Mode.
2. Press ``1(MatA)5(2x2)``.

    • This will display the Matrix Editor for input of the elements of the ``2 x 2`` matrix you specified for ``MatA``.
3. Input the elements of MatA: ``[2][=][1][=][1][=][1][=]``.
4. Perform  the  following  key  operation:  ``[Shift][4](MATRIX)[2](Data)[2](MatB)[5](2x2)``

    • This will display the Matrix Editor for input of the elements of the ``2x2`` matrix you specified for ``MatB``.

5.	Input the elements of MatB: ``[2][=][-][1][=][-][1][=][2][=]``
6.	Press ``[AC]`` to advance to the calculation screen, and perform the first calculation (MatA x MatB): ``[Shift][4](MATRIX)[3](MatA)[*][4](MATRIX)[4](MatB)[=]``

    • This will display the ``MatAns`` screen with the calculation results.

    **Note**: ``MatAns`` stands for "Matrix Answer Memory". See "Matrix Answer Memory” for more information.
7.	Perform the next calculation (MatA+MatB):``[AC][Shift][4](MATRIX)[3](MatA)[+][Shift][4](MATRIX)[4](MatB)[=]``


## Matrix Answer Memory

Whenever the result of a calculation executed in the MATRIX Mode is a matrix, the MatAns screen will appear with the result. The result also will be assigned to a variable named ``MatAns``.

The MatAns variable can be used in calculations as described below.

1. To insert the ``MatAns`` variable into a calculation, perform the following key operation: ``[Shift][4](MATRIX)[6](MatAns)``.

2. Pressing any one of the following keys while the MatAns screen is displayed will switch automatically to the calculation screen: ``[+], [-], [*],
[/], [x^-1], [x^2], [Shift][x^2](x^3)``. The calculation screen will show the MatAns variable followed by the operator or function for the key you pressed.

## Assigning and Editing Matrix Variable Data

Important: The following operations are not supported by the Matrix Editor: ``[M+]``, ``[Shift][M+](M–)``, ``[Shift][RCL](STO)``, ``[Pol]``, ``Rec``, and multi-statements also cannot be input with the Matrix Editor.

### To assign new data to a matrix variable:

1. Press ``[Shift][4](MATRIX)[1](Dim)``, and then, on the menu that appears, select the matrix variable to which you want to assign data.
2.	On the next menu that appears, select dimension (mn).
3.	Use the Matrix Editor that appears to input the elements of the matrix.


To assign ``[[1   0 –1],[0  –1  1]]`` to MatC
```
[Shift][4](MATRIX)
[1](Dim)[3](MatC)[4](2*3)
[1][=][0][=][-][1][=][0][=][-][1][=][1][=]
```


### To edit the elements of a matrix variable:
1.	Press ``[Shift][1](MATRIX)[2](Data)``, and then, on the menu that appears, select the matrix variable you want to edit.
2.	Use the Matrix Editor that appears to edit the elements of the matrix.
    • Move the cursor to the cell that contains the element you want to change, input the new value, and then press =.

### To copy matrix variable (or ``MatAns``) contents:

1.	Use the Matrix Editor to display the matrix you want to copy.

    •If you want to copy MatA, for example, perform the following key operation: ``[Shift][4](MATRIX)[2](Data)[1](MatA)``.

    • If you want to copy MatAns contents, perform the following to display the MatAns screen: ``[Shift][4](MATRIX)[6](MatAns)[=]``.

2.	Press ``[Shift][RCL](STO)``, and then perform one of the following key operations to specify the copy destination: ``[-](MatA)``, ``[°'"](MatB)``, or ``[hyp(MatC)``.

    • This will display the Matrix Editor with the contents of the copy destination.

## Matrix Calculation Examples

The following examples use MatA = ``[[2, 2], [1, 1]`` and MatB = ``[[2, -1], [-1, 2]]``, and MatC = ``[[1, 0, -1], [0, -1, 1]]`` . You can input a matrix variable into a key operation by pressing ``[Shift][4](MATRIX)`` and then pressing one of the following number keys: ``[3](MatA), [4](MatB), [5](MatC)``.
___

### 3 × MatA (Matrix scalar multiplication).
``[AC][3][*][MatA][=]``
___

### Obtain the determinant of MatA (det(MatA)).
``[AC][Shift][4](MATRIX)[7](det)[MatA][)]=``
___

### Obtain the transposition of MatC (Trn(MatC)).
``[AC][Shift][4](MATRIX)[8](Trn)[MatC][)[=]``
___

### Obtain the inverse matrix of MatA (MatA<sup>–1</sup>).
``[AC][MatA][x^-1][=]``
___

### Obtain the absolute value of each element of MatB (Abs(MatB)).
``[AC][Shift][hyp](Abs)[MatB][)][=]``
___

### Determine the square and cube of MatA (MatA2, MatA3).

``[AC]MatA[x^2][=]``


``[AC]MatA[x^3][=]``
___


### PseudoInverse(matrix)

To computes the Moore-Penrose pseudoinverse of the matrix. If matrix is invertible, the pseudoinverse equals the inverse, select ``PseudoInverse`` in menu MATRIX
___
### MatrixRank(matrix)

returns the rank of matrix.
